package cards.maumau.model;

import cards.Card;
import cards.Suit;

public class Normal implements HandlerState {
    private final ActionHandler handler;

    Normal(ActionHandler handler) {
        this.handler = handler;
    }

    public void addPlayer(Player player){}
    public void startGame(){}
    public void finishGame(){
        // Logic for finishing Game ????
        if (handler.getGame().getPlayerHandler().getPlayers().isEmpty()) {
            handler.setHandlerState(new Finished(handler));
        }
    }
    public void cancelGame(){}
    public void chooseCard(Card c){}
    public void chooseSuit(Suit suit){}
    public void skip(){}
    public void no7(){}
}
